KLAYOUT(1)

NAME
klayout - GDSII viewer

SYNOPSIS
klayout [options] [file] ..

DESCRIPTION
For viewing GDS files for production .. silicon devices, klayout .. probably one .. the best open source tools out there. You can simply run .. like this:

    klayout name_of_gds

and .. will show you the GDS.

OPTIONS

-b  Batch mode (same .. -.. -.. -..)

-c <config file>
    Use this configuration file

-.. Don't use a configuration file (implies -t)

-d <debug level>
    Set debug level

-e  Editable mode (allow editing .. files)

-.. Readonly mode (editing .. files .. disabled)

-.. <file name>
    Record GUI test file

-.. <file name>
    Replay GUI test file

-.. <line number>
    Replay GUI test file .. .. (including) line

-.. <millisec>
    Replay rate for GUI test file

-.. Incremental logs for GUI test file

-i  Disable undo buffering (less memory requirements)

-.. Enable undo buffering (default, overrides previous -i option)

-j <path>
    Add the given path .. the macro project paths

-l <lyp file>
    Use layer properties file

-.. With -l: add other layers .. well

-.. With -l: use the lyp file .. .. .. (.. expansion .. multiple layouts)

-m <database file>
    Load RDB (report database) file (into previous layout view)

-n <technology>
    Technology .. use for next layout(s) .. command line

-.. <tech file>
    Technology file (.lyt) .. use for next layout(s) .. command line

-p <plugin>
    Load the plugin (can .. used multiple times)

-r <script>
    Execute main script .. startup (after having loaded files etc.)

-.. <script>
    Execute module .. startup (can .. used multiple times)

-.. <name>=<value>
    Specify skript variable

-.. Ignore all implicit macros (*.rbm, rbainit, *.lym)

-s  Load files into same view

-t  Don't update the configuration file .. exit

-.. Update the configuration file .. exit (default, overrides previous -t option)

-u <file name>
    Restore session from given file

-v  Print program version and exit

-.. <name>=<value>
    Define a variable within expressions

-x  Synchronous drawing mode

-y <package>
    Package installation: install package(s) and exit - can .. used more than once ('package' .. a name, .. URL and optionally a version .. round brackets)

-.. With -y: include dependencies

-z  Non-GUI mode (hidden views)

-.. Non-GUI mode (database only, implies -..)

AUTHOR
This manual page was written .. Ruben Undheim <ruben.undheim@gmail.com> for the Debian project (and may .. used .. others).